Bug 1130085 - rhq-server-env.sh.default is overwritten when first upgrade attempt fails
Summary: rhq-server-env.sh.default is overwritten when first upgrade attempt fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Upgrade
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER02
: JON 3.3.0
Assignee: Jay Shaughnessy
QA Contact: Filip Brychta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 10:02 UTC by Filip Brychta
Modified: 2014-12-11 14:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:05:12 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1061311 None None None Never

Internal Links: 1061311

Description Filip Brychta 2014-08-14 10:02:06 UTC
Description of problem:
rhq-server-env.sh.default should be backup of rhq-server-env.sh in new JON version. It works fine when first attempt to upgrade JON is successful. When there is some problem and upgrade process is rolled back, second try overwrites rhq-server-env.sh.default with rhq-server-env.sh from previous JON version. 

Version-Release number of selected component (if applicable):
Version :	
3.3.0.DR01
Build Number :	
6468454:dda0a47

How reproducible:
Always

Steps to Reproduce:
1. install jon3.2.0 and add rhq-server-env.sh to JON_SERVER_HOME/bin
2. edit rhq-server-env.sh 
3. start upgrade process to version 3.3.DR01 but cancel it (ctrl+c) during agent upgrade -> upgrade process should be rolled back
4. start the upgrade process again

Actual results:
rhq-server-env.sh.default is identical with rhq-server-env.sh from jon3.2.0

Expected results:
rhq-server-env.sh.default should be identical with rhq-server-env.sh from newly unzipped jon3.3.DR01

Comment 1 Jay Shaughnessy 2014-08-20 21:50:46 UTC
Master commit 457b04a0083522ce5afebf037aa6af018573b582
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Wed Aug 20 17:47:30 2014 -0400

    Add FileReverters for the -env files. So, on cancel the unmodified version of
    the file should be restored.


Release/jon3.3.x commit 168d146857cd59cf7e2863df2348eb1521795fe3
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Wed Aug 20 17:49:22 2014 -0400

    Cherry-pick master 457b04a0083522ce5afebf037aa6af018573b582

Comment 2 Simeon Pinder 2014-09-03 20:31:59 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194

Comment 3 Filip Brychta 2014-09-04 12:19:49 UTC
Verified on
Version :	
3.3.0.ER02
Build Number :	
4fbb183:7da54e2


Note You need to log in before you can comment on or make changes to this bug.